flashobject is null error on nbc site prevents flash player from displaying video

Bug #281047 reported by Connie Pearcy on 2008-10-10
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned

Bug Description

I'm trying to view the video: http://www.nbc.com/Heroes/video/episodes/?vid=678022

This generates a flashObject is null error as well as numerous warnings. The video display screen never loads. The video plays fine in IE 7

I am running Ubuntu 8.04; Firefox 3.0.3

arno_b (arno.b) wrote :

Please, can you give the result of:
apt-cache policy flashplugin-nonfree

Thanks.

:~$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: 9.0.124.0ubuntu2
  Candidate: 9.0.124.0ubuntu2
  Version table:
 *** 9.0.124.0ubuntu2 0
        500 http://us.archive.ubuntu.com hardy/multiverse Packages
        100 /var/lib/dpkg/status

On Fri, Oct 10, 2008 at 7:09 AM, Arnaud Blouin <email address hidden> wrote:

> Please, can you give the result of:
> apt-cache policy flashplugin-nonfree
>
> --
> flashobject is null error on nbc site prevents flash player from displaying
> video
> https://bugs.launchpad.net/bugs/281047
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> I'm trying to view the video:
> http://www.nbc.com/Heroes/video/episodes/?vid=678022
>
> This generates a flashObject is null error as well as numerous warnings.
> The video display screen never loads. The video plays fine in IE 7
>
> I am running Ubuntu 8.04; Firefox 3.0.3
>

mnidza (mnidza) wrote :

Does not seem to be fixed in the new version of flash plugin (Ubuntu 8.10, Firefox 3.0.3).

:~$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: 10.0.12.36ubuntu1
  Candidate: 10.0.12.36ubuntu1
  Version table:
 *** 10.0.12.36ubuntu1 0
        500 http://nz.archive.ubuntu.com intrepid/multiverse Packages
        100 /var/lib/dpkg/status

Connie Pearcy (connie-pearcy) wrote :

Thanks for the update.

On Thu, Nov 20, 2008 at 10:20 PM, Nick <email address hidden> wrote:

> Does not seem to be fixed in the new version of flash plugin (Ubuntu
> 8.10, Firefox 3.0.3).
>
> :~$ apt-cache policy flashplugin-nonfree
> flashplugin-nonfree:
> Installed: 10.0.12.36ubuntu1
> Candidate: 10.0.12.36ubuntu1
> Version table:
> *** 10.0.12.36ubuntu1 0
> 500 http://nz.archive.ubuntu.com intrepid/multiverse Packages
> 100 /var/lib/dpkg/status
>
> --
> flashobject is null error on nbc site prevents flash player from displaying
> video
> https://bugs.launchpad.net/bugs/281047
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> I'm trying to view the video:
> http://www.nbc.com/Heroes/video/episodes/?vid=678022
>
> This generates a flashObject is null error as well as numerous warnings.
> The video display screen never loads. The video plays fine in IE 7
>
> I am running Ubuntu 8.04; Firefox 3.0.3
>

hackel (hackel) wrote :

I'm not certain whether the fault lies in the flash plugin itself, or in NBC's javascript. In any case, it is not actually related to flashplugin-nonfree, which merely installs the flash plugin and is working properly. It needs to be forwarded upstream to Adobe.

hackel (hackel) wrote :

Sorry for the double-post. Upstream bug report here: https://bugs.adobe.com/jira/browse/FP-1399

SwaJime (john-swajime) wrote :

I'm having the same problem. Could it be related to the "canberra-gtk-module" error that I get when I launch the page from a shell?

Terminal output:
$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.04
DISTRIB_CODENAME=jaunty
DISTRIB_DESCRIPTION="Ubuntu 9.04"

$ uname -a
Linux system76-pc 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 19:25:34 UTC 2009 x86_64 GNU/Linux

$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: 10.0.32.18ubuntu0.9.04.1
  Candidate: 10.0.32.18ubuntu0.9.04.1
  Version table:
 *** 10.0.32.18ubuntu0.9.04.1 0
        500 http://us.archive.ubuntu.com jaunty-updates/multiverse Packages
        500 http://security.ubuntu.com jaunty-security/multiverse Packages
        100 /var/lib/dpkg/status
     10.0.22.87ubuntu2 0
        500 http://us.archive.ubuntu.com jaunty/multiverse Packages

$ firefox http://www.nbc.com/The_Office/video/episodes/#vid=1158372
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64

--
john

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers